body,
html,
#app {
    height: 100%;
    background: #FAFAF7;
    font-family: "Helvetica Neue", Helvetica, Arial, "PingFang SC", "Hiragino Sans GB", "Heiti SC", "Microsoft YaHei", "WenQuanYi Micro Hei", sans-serif;
}

a {
    cursor: pointer;
    outline: none
}

..layui-input-block {
    margin-left: 0px;
}

/*theme--设置table表头背景色*/
.layui-table tbody tr:hover, .layui-table thead tr, .layui-table-click, .layui-table-header, .layui-table-mend, .layui-table-patch, .layui-table-tool, .layui-table-total, .layui-table-total tr, .layui-table[lay-even] tr:nth-child(even) {
    background-color: #D4B8A8;
}

/*theme--设置鼠标移到table row上时，右侧固定栏的背景色*/
.layui-table-hover{
    background-color: transparent;
}

/*设置table背景色*/
.layui-table-body {
    background: #fff;
}

/*theme--设置鼠标移到table tr上的背景色*/
.layui-table tbody tr:hover{
    background-color: #FFE0CC !important;
}

/*theme--设置table偶数行tr的背景色*/
.layui-table tbody tr:nth-child(even) {
    background-color: #F8F4F0;
}

/*theme--设置table的边框栏颜色*/
.layui-table td, .layui-table th, .layui-table-col-set, .layui-table-fixed-r, .layui-table-grid-down, .layui-table-header, .layui-table-page, .layui-table-tips-main, .layui-table-tool, .layui-table-total, .layui-table-view, .layui-table[lay-skin=line], .layui-table[lay-skin=row] {
    border-color: #E2D9D3;
}

/*设置tab栏背景色*/
.layui-tab-title {
    background-color: #fff;
}

.layui-tab-brief > .layui-tab-title{
    height: 56px;
}

.layui-tab-brief > .layui-tab-title li{
    line-height: 56px;
    padding: 0 30px;
}

.layui-table, .layui-table-view {
    margin: 0;
}

.layui-tab-content {
    padding-bottom: 0;
}


/*theme--设置modal中表单的样式*/
.appadmin-modal > .layui-form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    /*overflow-x: hidden;*/
    /*padding: 0 50px;*/
    padding-bottom: 50px;
}

/*theme--设置表单宽度*/
.appadmin-modal .layui-form > .layui-form-item {
    width: 48%;
}

/*设置最后一个输入框距离底部按钮的距离*/
.appadmin-modal .layui-form > .layui-form-item:nth-last-child(2){
    /*padding-bottom: 100px;*/
}

.layui-this>a, .layui-nav-tree .layui-this {
    background-color: #fff !important;
    color: #4F4F4F !important;
    /*border-left: solid 2px #FF914D;*/
}


.flex-box{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    .layui-form-item {
        width: 48%;
        height: 94px;
    }
}



.layui-layer.layui-layer-page.layui-layer-admin-page{
    transform: translateX(0px)
}

.layui-btn-item{
    position: fixed;
    bottom: 0;
    width: -webkit-fill-available !important;
    display: flex;
    justify-content: center;
    left: 0;
    background-color: #fff;
    padding-right: 58px;
    padding-left: 58px;
    width: 160px;
    box-shadow: 0px -5px 5px -2px rgba(0,0,0,0.1);
}


.layui-table-page{
    width: -webkit-fill-available;
    background-color: #fff;
    /*position: fixed;*/
    bottom: 1px;
    display: flex;
    justify-content: end;
}

/*取消按钮*/
#cancelBtn{
    margin-right: 10px;
    height: 32px;
    line-height: 32px;
    background-color: #4F4F4F;
    width: 160px;
    border-radius: 8px;
}

/*.layui-form-item:has(#btnBindBox){*/
/*    padding-bottom: 50px;*/
/*}*/

.bottom-container{
    width: 100% !important;
    /*调整左侧按钮样式*/
    .layui-form-item{
        margin-bottom: 0;
    .layui-btn {
        width: 160px;
        border-radius: 8px;
        }
    }
}
/*设置底部按钮容器样式*/
/*.layui-form-item:has(.layui-input-block .layui-tab) {*/
/*    width: 100% !important;*/
/*    !*调整左侧按钮样式*!*/
/*    .layui-form-item{*/
/*        margin-bottom: 0;*/
/*            .layui-btn {*/
/*                width: 160px;*/
/*                border-radius: 8px;*/
/*            }*/
/*    }*/
/*}*/

/** 修改滚动条样式 部分浏览器不支持 */

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: #F5F5F5;
}

::-webkit-scrollbar-track {
    background-color: #FAFAF7;
}

::-webkit-scrollbar-thumb {
    background-color: #F0E6DE;
}

#app-sidebar {
    top: 0;
    z-index: 1001;
    width: 200px;
    position: fixed;
    background-color: #4F4F4F;
    /*background: url("/appadmin/images/nav-bg-img.png") no-repeat;*/
}

.layui-side-scroll {
    width: 240px;
}

.layui-body {
    left: 200px;
}

.layui-nav-tree .layui-nav-item a {
    color: #fff !important;
}

#app-sidebar .layui-logo {
    position: fixed;
    z-index: 1002;
    width: 220px;
    padding: 0 15px;
    box-sizing: border-box;
    overflow: hidden;
    font-weight: 300;
    background-repeat: no-repeat;
    background-position: center center;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.15);
    transition: all .3s cubic-bezier(0.86, 0, 0.07, 1);
}

#app-sidebar .layui-logo,
#app-header,
#app-header .layui-nav .layui-nav-item {
    line-height: 50px;
    height: 50px;
}

.layui-logo-shrink {
    line-height: 50px !important;
    padding-left: 20px !important;
    left: 0 !important;
    text-align: left !important;
    transform: translateX(-5px);
    animation: fadeIn 1s ease-in-out;
    /* 保持动画结束状态 */
    animation-fill-mode: forwards;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


dl a {
    color: #000 !important;
}

.layui-nav {
    background: transparent !important;
}

#app-sidebar .layui-nav .layui-nav-item a:hover {
    background: transparent;
}

/*theme--菜单栏游标颜色*/
#app-sidebar .layui-nav-tree .layui-nav-bar {
    background: transparent;
    width:3px;
}

#app-sidebar .layui-nav-itemed .layui-nav-child a {
    font-size: 12px;
    padding-left: 50px;
}

#app-sidebar .layui-nav-tree .layui-nav-child dd.layui-this,
#app-sidebar .layui-nav-tree .layui-nav-child dd.layui-this a,
#app-sidebar .layui-nav-tree .layui-this,
#app-sidebar .layui-nav-tree .layui-this>a,
.layui-nav-tree .layui-this>a:hover {
    background-color: rgba(255, 255, 255, 1) !important;
    color: #333333 !important;
    width: 220px;
}

.layui-nav-tree .layui-this>a::before{
    content: '';
    position: absolute;
    left: 0;
    width: 3px;
    height: 100px;
    background-color: #FF914D;
}

#app-sidebar .layui-nav .layui-nav-mored,
#app-sidebar .layui-nav-itemed>a .layui-nav-more {
    margin-top: -6px;
}

#app-sidebar .layui-nav .layui-nav-more {
    border-width: 4px;
}

#app-sidebar .layui-nav-tree .layui-nav-item>a {
    height: 54px;
    line-height: 54px;
    width: 220px;
}

#app-sidebar .layui-icon {
    display: inline-block;
    width: 25px;
    margin-right: 8px;
}

#app-header {
    border-bottom: none !important;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05) !important;
    background-color: #ffffff !important;
    position: fixed;
    top: 0;
    left: 0px;
    width: 100%;
    height: 50px;
    color: #000;
}

#app-header .layui-search-input {
    height: 30px;
    width: 220px;
    margin-top: 10px;
    border: none;
    border-radius: 4px;
}

#app-header .layui-nav-bar {
    height: 2px;
    background: #ff914d !important;
}

#app-header .layui-nav-child {
    border: none;
    top: 50px;
}

#app-header .layui-nav-item .layui-icon {
    font-size: 16px;
}

#app-header .layui-nav-more {
    display: none;
}

#app-header .message-dot {
    top: 40%;
    right: 0;
}

#app-header .layui-nav-item a:hover {
    color: #000;
}

#app-header .layui-layout-left {
    left: 220px;
}

.layui-bg-green {
    background-color: #1bdb9a !important
}

.layui-bg-blue {
    background-color: #5a8bff !important
}

.layui-nav .layui-nav-child dd.layui-this,
.layui-nav .layui-nav-child dd.layui-this a,
.layui-nav .layui-this,
.layui-nav .layui-this>a,
.layui-nav .layui-this>a:hover {
    background: #f8f8f8;
    color: #fff;
}

.layui-nav .layui-nav-item a {
    color: #000;
}

.layui-layout-admin .layui-body {
    top: 40px;
    bottom: 0px;
}

.layui-nav-item layui-this {
    background-color: rgba(255, 255, 255, 0.19) !important;
    width: 220px !important;
}

#app-sidebar,
#app-header .layui-layout-left,
.layui-layout-admin .layui-body {
    transition: all .3s cubic-bezier(0.86, 0, 0.07, 1)
}

.layui-nav {
    padding: 0px;
}


/*
修改 面包导航屑 的样式
*/

.appadmin-breadcrumb {
    visibility: visible;
    padding: 12px 20px;
}

.appadmin-breadcrumb>* {
    font-size: 12px;
}

.appadmin-breadcrumb a:hover {
    color: #333!important;
}

#app-body>.layui-fluid {
    margin-top: 10px;
}

#app-body>.layui-fluid>.layui-table-view,
#app-body>.layui-fluid>.layui-card>.layui-table-view {
    margin: 0;
}


/*
    修改 侧边导航 收缩起来的样式
*/

.appadmin-sidebar-shrink #app-sidebar {
    left: 0;
    width: 52px;
}

.appadmin-sidebar-shrink #app-sidebar .layui-nav-item .layui-nav-child {
    display: none;
}

.appadmin-sidebar-shrink .layui-body,
.appadmin-sidebar-shrink #app-header .layui-layout-left {
    left: 52px;
}

.appadmin-sidebar-shrink #app-header .layui-icon-shrink-right:before {
    content: '\e66b';
}

.appadmin-sidebar-shrink .layui-side .layui-icon-shrink-right:before {
    content: '\e66b';
}

.appadmin-sidebar-shrink .layui-layout-admin .layui-logo span {
    display: none;
    transition: all .3s cubic-bezier(0.86, 0, 0.07, 1);
}

.appadmin-sidebar-shrink .layui-side .layui-nav-item cite,
.appadmin-sidebar-shrink .layui-side .layui-nav>.layui-nav-item>.layui-nav-child,
.appadmin-sidebar-shrink .layui-side .layui-nav>.layui-nav-item>a .layui-nav-more {
    display: none;
    padding: 8px 0;
    width: 220px;
    transition: all .3s cubic-bezier(0.86, 0, 0.07, 1);
}

.layui-nav-tree {
    margin-top: 50px;
}

@media screen and (max-width: 992px) {
    .appadmin-sidebar-shrink #app-sidebar {
        width: 0;
    }
    .appadmin-sidebar-shrink .layui-body,
    .appadmin-sidebar-shrink #app-header .layui-layout-left {
        left: 0;
    }
    .layui-layout-admin .layui-side {
        transform: translate3d(-240px, 0, 0);
        -webkit-transform: translate3d(-240px, 0, 0);
    }
}

.layui-layout-admin .layui-side {
    transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
}

.container {
    top: 50px;
    left: 0px !important;
    background-color: #f4f7f8;
}

.content {
    padding: 40px 10%;
}

.layui-card {
    border: solid 1px var(--white-32);
    background-color: #ffffff;
    cursor: pointer;
    border-radius: 4px;
}

.card-body {
    width: 100%;
    padding: 0px;
    height: 250px;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.card-footer {
    line-height: 60px;
    text-align: center;
    font-size: 18px;
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}

.layui-form-label {
    text-align: left !important;
    padding-right: 0px !important;
    padding-left: 0px !important;
    padding: 0px;
    line-height: 30px;
    margin-right: 20px;
    width: auto;
}

.layui-tab-content {
    padding-right: 0px !important;
    padding-left: 0px !important;
}


/*
覆盖 layui 本来的样式
*/

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
    color: #ccc;
}

.layui-input:hover,
.layui-textarea:hover,
.layui-input:focus,
.layui-textarea:focus {
    border-color: #eee;
}

.layui-input:focus,
.layui-textarea:focus .layui-input:focus,
.layui-textarea:focus {
    border-color: #94b2fa;
    box-shadow: 0 0 0 3px rgba(90, 139, 255, 0.2);
}

.layui-form-danger .layui-form-select .layui-input,
.layui-form-danger:focus {
    border-color: #FF5722!important;
    box-shadow: 0 0 0 3px rgba(255, 87, 34, 0.2);
}

.layui-input,
.layui-select,
.layui-textarea {
    border-radius: 4px;
    height: 30px;
    border-color: #eee;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.layui-form-danger {
    border-color: red;
}

.layui-form-item .layui-input-inline {
    width: 220px;
}

.layui-table td,
.layui-table th {
    color: #000;
}

.layui-table th {
    font-weight: 600;
}

.layui-card-header,
.layui-card-body {
    border: 0px;
    font-size: 20px;
}

.info-card-header {
    font-size: 20px;
    padding: 20px;
    height: 42px;
}

.info-card-body {
    height: 320px;
    padding: 10px;
}

.info-card-body img {
    height: 100%;
    width: 100%;
}

.info-statistics {
    height: 80px;
    display: flex;
    align-items: center;
    font-size: 20px;
    background-color: #48afff;
    color: #fff;
    border-radius: 8px;
}

.info-statistics-title {
    width: 120px;
    height: 100%;
    font-size: 16px;
    display: flex;
    padding-top: 14px;
    padding-left: 4px;
}

.info-statistics-count {
    flex: 1;
    text-align: right;
    font-size: 30px;
}

.info .device {
    background-color: #4F4F4F;
    border: solid 1px #efefef;
}

.info .alarm {
    background-color: rgb(227,77,77);
    border: solid 1px #efefef;
}

.list-item {
    height: 40px;
    display: flex;
    font-size: 12px;
    align-items: center;
}

.list-item div:first-child {
    width: 40%;
    font-weight: 600;
}

.list-item div:last-child {
    flex: 1;
}

.color-red-01 {
    color: #e34d4d;
}

/*theme--分页组件颜色*/
.layui-laypage a {
    font-size: 12px;
    color: #4F4F4F;
    border: none;
    background: none;
}

.layui-laypage .layui-laypage-count {
    background: none;
    color: #4F4F4F;
    border: none;
}

.layui-laypage .layui-laypage-limits,
.layui-laypage .layui-laypage-skip {
    background: none;
    color: #4F4F4F;
    border: none;
}

.layui-laypage select,
.layui-laypage-skip input,
.layui-laypage-btn {
    color: #4F4F4F;
    font-size: 12px;
}

.layui-laypage-curr {
    color: #ffffff;
}

/*theme--设置分页按钮背景色*/
.layui-laypage .layui-laypage-curr .layui-laypage-em {
    background-color: #FF914D !important;
}


.layui-btn {
    height: 30px;
    line-height: 30px;
    background-color: #30ad60;
}

.layui-btn-primary,
.layui-btn-primary:hover {
    min-width: 91px;
    height: 30px;
    border-radius: 2px;
    border: solid 1px #4F4F4F;
    background-color: #4F4F4F;
    line-height: 30px;
    color: #fff;
}

.edit,
.delete,
.edit:hover,
.active-btn {
    min-width: 0px;
    height: 20px;
    border-radius: 2px;
    border: solid 1px #f0f0f0;
    background-image: linear-gradient(to bottom, #ffffff, #f3f3f3);
    color: #333333;
    line-height: 18px;
    text-align: center;
    background-color: transparent;
}

.max-btn {
    width: 100px;
    height: 30px;
}

.max-btn,
.max-btn:hover {
    width: 100px;
    height: 30px;
    color: #1e9dc7;
}

.delete,
.delete:hover {
    color: #d3302f;
}

.appadmin-modal {
    padding: 10px 50px;
}

.layui-input-block {
    margin-left: 0px;
}

.flex-layout {
    display: flex;
}

.flex-layout div:first-child {
    width: 30%;
}

.flex-layout div:last-child {
    flex: 1;
    text-align: right !important;
}

.info-text-right {
    border: none;
    color: #FF914D;
}

.info-text-right li {
    border: solid 2px #ff914d;
    border-radius: 20px;
    height: 26px;
    line-height: 26px;
    font-size: 12px !important;
    width: 75px;
    padding: 0px;
}

.info-text-right li:first-child {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.info-text-right .layui-this:after {
    height: 30px;
    border-radius: 0px;
    border: none;
}

.info-text-right li:last-child {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.info-text-right li:nth-child(2) {
    border-left: none;
    border-right: none;
    border-radius: 0px;
}

.info-text-right li.layui-this {
    background-color: #ff914d;
    color: #fff;
}

.layui-table-cell {
    height: auto;
    padding: 0px 10px;
}

.analysis-title {
    font-size: 16px;
    text-align: center;
    /* border-top: 1px solid #efefef; */
    padding: 10px;
}

.analysis-padding40 {
    padding: 30px;
}

.analysis-padding30 {
    padding: 30px;
}

.analysis-padding20 {
    padding: 20px;
}

.analysis-time {
    text-align: center;
}

.runtime {
    font-size: 30px;
    letter-spacing: -0.24px;
    text-align: center;
    color: #000000;
    padding-bottom: 20px;
}

.runtime>div {
    display: flex;
    align-items: center;
}

.runtime>div>div:first-child {
    width: 48%;
    text-align: right;
}

.runtime>div>div:nth-child(2) {
    width: 4%;
    height: 35px;
    line-height: 35px;
}

.runtime>div>div:last-child {
    flex: 1;
    text-align: left;
}

.runtime>div>div:first-child>div:first-child,
.runtime>div>div:last-child>div:first-child {
    font-size: 30px;
    color: #000000;
    padding: 10px;
    height: 35px;
    line-height: 35px;
}

.runtime>div>div:first-child>div:last-child,
.runtime>div>div:last-child>div:last-child {
    font-size: 12px;
    color: #acacac;
}

.btn-diagnose {
    font-size: 14px;
    height: 30px;
    border: solid 1px #20a7d3;
    background-color: #ff914d;
    width: 276px;
    line-height: 30px;
}

.appdmin-btn,
.appdmin-btn:hover {
    height: 30px;
    border-radius: 2px;
    border: solid 1px #f6f6f5;
    background-image: linear-gradient(to bottom, #FAFAF7, #FAFAF7);
    line-height: 30px;
    font-size: 12px;
    color: #FF914D;
    background-color: #FAFAF7;
}

.elem-list {
    min-height: 30px;
    height: auto;
}

.elem-item {
    display: inline-block;
    /*background: rgb(81, 94, 131);*/
    margin: 6px 5px;
    line-height: 16px;
    padding: 2px 5px;
    /*background-color: #ff914d;*/
}

.layui-tab-brief>.layui-tab-title .layui-this {
    background: #FAFAF7;
    color: #ff914d;
    font-weight: 600;
}

.layui-tab-title li {
    font-size: 16px;
}

/*设置tab高亮*/
.layui-tab-brief>.layui-tab-more li.layui-this:after,
.layui-tab-brief>.layui-tab-title .layui-this:after {
    border-top: 2px solid #ff914d;
    border-bottom: none;
}

table tr th div.layui-table-cell {
    text-align: left
}

/*table中操作列的标题居中*/
[class*="laytable-cell-"][class$="-op"] {
    text-align: center !important;
}

.selectbox-bottom-box {
    position: fixed;
    bottom: 0;
    width: 100% !important;
    left: 0;
    display: flex;
    justify-content: center;
    .btn-ok{
        width: 160px;
        background-color: #FF914D;
        border-radius: 8px;
    }
}

.layui-btn-item {
    /*text-align: center;*/
    padding: 10px 0px;
    margin-bottom: 0px;
}

.layui-btn-item .btn-create {
    width: 160px;
    height: 32px;
    line-height: 30px;
    border: solid 1px #ff914d;
    background-color: #ff914d;
    border-radius: 8px;
}

.layui-btn .layui-icon {
    font-size: 14px;
}

.layui-inline-add {
    float: right;
}

.layui-inline-add .btn-add {
    height: 30px;
    border-radius: 2px;
    border: solid 1px #6a994e;
    line-height: 28px;
    background-color: #6a994e;
}

.layui-inline-add .btn-import {
    height: 30px;
    border-radius: 2px;
    line-height: 28px;
    border: solid 1px #ed9300;
    background-color: #ff9e00;
}

.layui-layer-page .layui-layer-title {
    padding-left: 50px !important;
    font-size: 16px !important;
    font-weight: 600 !important;
    color: #000 !important;
    height: 50px !important;
    line-height: 50px !important;
}

.layui-layer-page .layui-layer-title span {
    display: inline-block;
    /*border-top: 4px solid #30ad60;*/
}

.axisx+div>i {
    color: #3EA9E1 !important;
}

.axisy+div>i {
    color: #44BB12 !important;
}

.axisz+div>i {
    color: #FF9E00 !important;
}

